dofile("Scripts/levelManager.lua");

LManager = LevelManager.create();

--
--
--
--
--

LManager:AddGame(eGAME_METER);
LManager:AddGame(eGAME_SPIN);
LManager:AddGame(eGAME_RECALL);
LManager:AddGame(eGAME_SHELL);
LManager:AddGame(eGAME_COMBO);
LManager:AddGame(eGAME_TAG);

-- skewed block formation
LManager:AddTable(eTYPE_TABLE1, 160, 260);
LManager:AddTable(eTYPE_TABLE2, 360, 260);
LManager:AddTable(eTYPE_TABLE3, 560, 260);
LManager:AddTable(eTYPE_TABLE4, 140, 375);
LManager:AddTable(eTYPE_TABLE5, 340, 375);
LManager:AddTable(eTYPE_TABLE6, 540, 375);
LManager:AddTable(eTYPE_TABLE7, 120, 490);
LManager:AddTable(eTYPE_TABLE8, 320, 490);
LManager:AddTable(eTYPE_TABLE9, 520, 490);

LManager:AddCandle(165, 74, 5000);
LManager:AddCandle(285, 74, 5000);
LManager:AddCandle(576, 74, 5000);

seated = LManager.GenSeated(eTYPE_SEATED4);
seated.tableIdx = 1;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED8);
seated.tableIdx = 2;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED9);
seated.tableIdx = 3;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED14);
seated.tableIdx = 4;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED2);
seated.tableIdx = 5;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED3);
seated.tableIdx = 6;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED5);
seated.tableIdx = 7;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED7);
seated.tableIdx = 8;
LManager:AddSeated(seated);

seated = LManager.GenSeated(eTYPE_SEATED10);
seated.tableIdx = 9;
LManager:AddSeated(seated);

-- table 1
guest = LManager.GenGuest(eTYPE_GUEST12);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 3000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 36000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 78500;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 153000;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 185000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 133000;
guest.needs[7] = eWANT_DRINK;
guest.times[7] = 13000;
LManager:AddGuest(guest);

-- table 2
guest = LManager.GenGuest(eTYPE_GUEST13);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 34000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 78000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 137000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 153500;
guest.needs[5] = eWANT_TALK;
guest.times[5] = 178000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 3500;
guest.needs[7] = eWANT_TALK;
guest.times[7] = 102500;
LManager:AddGuest(guest);

-- table 3
guest = LManager.GenGuest(eTYPE_GUEST14);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 7000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 32000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 79000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 154000;
guest.needs[5] = eWANT_DRINK;
guest.times[5] = 185000;
guest.needs[6] = eWANT_GIFT;
guest.times[6] = 104000;
LManager:AddGuest(guest);

-- table 4
guest = LManager.GenGuest(eTYPE_GUEST15);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 11000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 79500;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 136000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 178000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 55000;
LManager:AddGuest(guest);

-- table 5
guest = LManager.GenGuest(eTYPE_GUEST1);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 11000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 57000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 80000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 185000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 33000;
LManager:AddGuest(guest);

-- table 6
guest = LManager.GenGuest(eTYPE_GUEST2);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 28000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 53000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 109000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 154500;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 60500;
LManager:AddGuest(guest);

-- table 7
guest = LManager.GenGuest(eTYPE_GUEST3);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 30000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 54000;
guest.needs[3] = eWANT_DRINK;
guest.times[3] = 135000;
guest.needs[4] = eWANT_TALK;
guest.times[4] = 180000;
guest.needs[5] = eWANT_GIFT;
guest.times[5] = 88000;
LManager:AddGuest(guest);

-- table 8
guest = LManager.GenGuest(eTYPE_GUEST4);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 55000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 134000;
guest.needs[3] = eWANT_GIFT;
guest.times[3] = 155000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 101500;
LManager:AddGuest(guest);

-- table 9
guest = LManager.GenGuest(eTYPE_GUEST5);
guest.needs[1] = eWANT_TALK;
guest.times[1] = 56000;
guest.needs[2] = eWANT_TALK;
guest.times[2] = 115000;
guest.needs[3] = eWANT_TALK;
guest.times[3] = 133000;
guest.needs[4] = eWANT_GIFT;
guest.times[4] = 40000;
LManager:AddGuest(guest);

LManager:AdjustGuestHappiness(150);
LManager:SetSnackTime(20000);

LManager:SetLevelNumber(5,10);
LManager:SetLevelScores(11800, 12750);
LManager:SetLevelTime(25000);

gameObject = LManager:GenerateGameObject();

levelSetting = LManager:GenerateLevelSettings();